
package nc.impl.ic.ic;

import nccloud.impl.pub.ace.AceAggbusiNccsynergyPubServiceImpl;
import nc.itf.ic.ic.INccsynergyMaintain;
import nc.ui.querytemplate.querytree.IQueryScheme;
import nc.vo.sap.syproconfig.AggSyProConfigVO;
import nc.vo.pub.BusinessException;

public class NccsynergyMaintainImpl extends AceAggbusiNccsynergyPubServiceImpl implements INccsynergyMaintain  {

        @Override
        public void delete(AggSyProConfigVO[] clientFullVOs,
                        AggSyProConfigVO[] originBills) throws BusinessException {
                super.pubdeleteBills(clientFullVOs, originBills);
        }

        @Override
        public AggSyProConfigVO[] insert(AggSyProConfigVO[] clientFullVOs,
                        AggSyProConfigVO[] originBills) throws BusinessException {
                return super.pubinsertBills(clientFullVOs, originBills);
        }

        @Override
        public AggSyProConfigVO[] update(AggSyProConfigVO[] clientFullVOs,
                        AggSyProConfigVO[] originBills) throws BusinessException {
                return super.pubupdateBills(clientFullVOs, originBills);
        }

        @Override
        public AggSyProConfigVO[] query(IQueryScheme queryScheme)
                        throws BusinessException {
                return super.pubquerybills(queryScheme);
        }

        @Override
        public AggSyProConfigVO[] save(AggSyProConfigVO[] clientFullVOs,
                        AggSyProConfigVO[] originBills) throws BusinessException {
                return super.pubsendapprovebills(clientFullVOs, originBills);
        }

        @Override
        public AggSyProConfigVO[] unsave(AggSyProConfigVO[] clientFullVOs,
                        AggSyProConfigVO[] originBills) throws BusinessException {
                return super.pubunsendapprovebills(clientFullVOs, originBills);
        }

        @Override
        public AggSyProConfigVO[] approve(AggSyProConfigVO[] clientFullVOs,
                        AggSyProConfigVO[] originBills) throws BusinessException {
                return super.pubapprovebills(clientFullVOs, originBills);
        }

        @Override
        public AggSyProConfigVO[] unapprove(AggSyProConfigVO[] clientFullVOs,
                        AggSyProConfigVO[] originBills) throws BusinessException {
                return super.pubunapprovebills(clientFullVOs, originBills);
        }

}
